summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAlexander Brovikov <bas@c0d3rz.info>2010-05-11 15:01:35 +0200
committerRobby Workman <rworkman@slackbuilds.org>2010-05-11 15:01:35 +0200
commitf0e70e5600b5326cfbbc7c694d18926ffe31c61a (patch)
tree3c46686cc2ba9c1c88594213d719363c2492ff17
parente25fe8f33b318825205d2568818b90cced8de0be (diff)
downloadslackbuilds-f0e70e5600b5326cfbbc7c694d18926ffe31c61a.tar.gz
network/sim: Initial import
-rw-r--r--network/sim/README32
-rw-r--r--network/sim/sim.SlackBuild69
-rw-r--r--network/sim/sim.info8
-rw-r--r--network/sim/slack-desc19
4 files changed, 128 insertions, 0 deletions
diff --git a/network/sim/README b/network/sim/README
new file mode 100644
index 0000000000..40ba04eb9b
--- /dev/null
+++ b/network/sim/README
@@ -0,0 +1,32 @@
+SIM-IM - SIM Instant Messenger
+
+A simple ICQ client with v8 protocol support (2001) for X win system (requires QT, can be build for KDE). It also runs under MS Windows.
+
+Features:
+- receiving and sending SMS
+- server-side contact list
+- receiving and the sending messages in RTF-format
+- phone directory support (it is possible to specify an access to the owner phone number - public or friends only)
+- file transfers
+- chat
+- user search
+- non-ICQ contacts
+
+http://sim-im.org/
+
+SIM supports icon themes from Miranda.
+On page http://www.nortiq.com/miranda/index.php?action=display&cat=Icon
+the wide range of various icon themes suffices.
+Load the necessary files and unpack from them dll in the catalogue,
+from which SIM takes icon libraries.
+
+On KDE:
+${KDE_DIR}/share/apps/sim/icons
+On Qt:
+${PREFIX}/share/sim/icons
+On MS Windows:
+${install_dir}/icons
+
+Choose in the menu item "Setup".
+In a window of adjustments choose a page "Themes" also choose a subject
+in the list "Icons"
diff --git a/network/sim/sim.SlackBuild b/network/sim/sim.SlackBuild
new file mode 100644
index 0000000000..6dadb048eb
--- /dev/null
+++ b/network/sim/sim.SlackBuild
@@ -0,0 +1,69 @@
+#!/bin/sh
+
+# Slackware build script for sim
+
+# Written by Alexander Brovikov (bas@c0d3rz.info)
+
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Modified by the SlackBuilds.org project
+
+PRGNAM=sim
+VERSION=0.9.4.2
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=`pwd`
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP || exit 1
+rm -rf $PRGNAM-$VERSION
+tar -xjvf $CWD/$PRGNAM-$VERSION.tar.bz2 || exit 1
+cd $PRGNAM-$VERSION || exit 1
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/opt/kde \
+ || exit 1
+
+make || exit 1
+make install-strip DESTDIR=$PKG || exit 1
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS* COPYING ChangeLog README TODO* jisp-resources.txt \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/network/sim/sim.info b/network/sim/sim.info
new file mode 100644
index 0000000000..9e8a7dd6a6
--- /dev/null
+++ b/network/sim/sim.info
@@ -0,0 +1,8 @@
+PRGNAM="sim"
+VERSION="0.9.4.2"
+HOMEPAGE="http://sim-im.org"
+DOWNLOAD="http://download.berlios.de/sim-im/sim-0.9.4.2.tar.bz2"
+MD5SUM="80e56dbf394ee8fdcb9dae13647cd6ee"
+MAINTAINER="Alexander Brovikov"
+EMAIL="bas@c0d3rz.info"
+APPROVED="robw810"
diff --git a/network/sim/slack-desc b/network/sim/slack-desc
new file mode 100644
index 0000000000..adde9a1ed5
--- /dev/null
+++ b/network/sim/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+sim: sim instant messenger
+sim:
+sim: sim is an Qt-based instant messenger
+sim: It supports AIM, ICQ, Jabber, MSN, Yahoo and LiveJournal protocols
+sim:
+sim:
+sim:
+sim:
+sim:
+sim:
+sim: